Package: org.gradle.api.plugins

## [Java] Class WarPlugin

- org.gradle.api.plugins.WarPlugin

- All Implemented Interfaces and Traits:
    Plugin

      public class WarPlugin
      extends Object

  A Plugin which extends the JavaPlugin to add tasks which assemble a web application into a WAR file.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `PROVIDED_COMPILE_CONFIGURATION_NAME` |
    `static String` | `PROVIDED_RUNTIME_CONFIGURATION_NAME` |
    `static String` | `WAR_TASK_NAME` |
    `static String` | `WEB_APP_GROUP` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `apply(Project project)`
    `void` | `configureConfigurations(ConfigurationContainer configurationContainer)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final String PROVIDED_COMPILE_CONFIGURATION_NAME

    - #### public static final String PROVIDED_RUNTIME_CONFIGURATION_NAME

    - #### public static final String WAR_TASK_NAME

    - #### public static final String WEB_APP_GROUP

  - ### Method Detail

    - #### public void apply(Project project)

    - #### public void configureConfigurations(ConfigurationContainer configurationContainer)